Index: python/MANIFEST.in
===================================================================
--- python/MANIFEST.in	(revision 41399bd47e9f1240000220de37df57b39a90174e)
+++ python/MANIFEST.in	(revision 4d3b57325f331103ee55d39fa71c6c483f5bc231)
@@ -4,4 +4,5 @@
 include generator.py
 include gen_pyobject.py
+include aubio/*.py
 include demos/*.py
 include tests/run_all_tests
Index: python/setup.py
===================================================================
--- python/setup.py	(revision 41399bd47e9f1240000220de37df57b39a90174e)
+++ python/setup.py	(revision 4d3b57325f331103ee55d39fa71c6c483f5bc231)
@@ -2,4 +2,5 @@
 
 from distutils.core import setup, Extension
+
 import sys
 import os.path
@@ -12,10 +13,15 @@
         + AUBIO_VERSION_STATUS
 
+
 include_dirs = []
 library_dirs = []
 define_macros = []
+extra_link_args = []
 
 include_dirs += ['ext']
 include_dirs += [ numpy.get_include() ]
+
+if sys.platform.startswith('darwin'):
+    extra_link_args += ['-framework','CoreFoundation', '-framework','AudioToolbox']
 
 output_path = 'gen'
@@ -38,53 +44,50 @@
 
 aubio_extension = Extension("aubio._aubio", [
-            "ext/aubiomodule.c",
-            "ext/aubioproxy.c",
-            "ext/ufuncs.c",
-            "ext/py-cvec.c",
-            # example without macro
-            "ext/py-filter.c",
-            # macroised
-            "ext/py-filterbank.c",
-            "ext/py-fft.c",
-            "ext/py-phasevoc.c",
-            # generated files
-            ] + generated_object_files,
-        include_dirs = include_dirs,
-        library_dirs = library_dirs,
-        define_macros = define_macros,
-        libraries=['aubio'])
-
-if sys.platform.startswith('darwin'):
-        aubio_extension.extra_link_args = ['-framework','CoreFoundation', '-framework','AudioToolbox']
+    "ext/aubiomodule.c",
+    "ext/aubioproxy.c",
+    "ext/ufuncs.c",
+    "ext/py-cvec.c",
+    # example without macro
+    "ext/py-filter.c",
+    # macroised
+    "ext/py-filterbank.c",
+    "ext/py-fft.c",
+    "ext/py-phasevoc.c",
+    # generated files
+    ] + generated_object_files,
+    include_dirs = include_dirs,
+    library_dirs = library_dirs,
+    extra_link_args = extra_link_args,
+    define_macros = define_macros,
+    libraries=['aubio'])
 
 classifiers = [
-        'Development Status :: 4 - Beta',
-        'Environment :: Console',
-        'Intended Audience :: Science/Research',
-        'Topic :: Software Development :: Libraries',
-        'Topic :: Multimedia :: Sound/Audio :: Analysis',
-        'Topic :: Multimedia :: Sound/Audio :: Sound Synthesis',
-        'Operating System :: POSIX',
-        'Operating System :: MacOS :: MacOS X',
-        'Operating System :: Microsoft :: Windows',
-        'Programming Language :: C',
-        'Programming Language :: Python',
-        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
-        ]
+    'Development Status :: 4 - Beta',
+    'Environment :: Console',
+    'Intended Audience :: Science/Research',
+    'Topic :: Software Development :: Libraries',
+    'Topic :: Multimedia :: Sound/Audio :: Analysis',
+    'Topic :: Multimedia :: Sound/Audio :: Sound Synthesis',
+    'Operating System :: POSIX',
+    'Operating System :: MacOS :: MacOS X',
+    'Operating System :: Microsoft :: Windows',
+    'Programming Language :: C',
+    'Programming Language :: Python',
+    'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
+    ]
 
 distrib = setup(name='aubio',
-        version = __version__,
-        packages = ['aubio'],
-        ext_modules = [aubio_extension],
-        description = 'interface to the aubio library',
-        long_description = 'interface to the aubio library',
-        license = 'GNU/GPL version 3',
-        author = 'Paul Brossier',
-        author_email = 'piem@aubio.org',
-        maintainer = 'Paul Brossier',
-        maintainer_email = 'piem@aubio.org',
-        url = 'http://aubio.org/',
-        platforms = 'any',
-        classifiers = classifiers,
-        )
-
+    version = __version__,
+    packages = ['aubio'],
+    ext_modules = [aubio_extension],
+    description = 'interface to the aubio library',
+    long_description = 'interface to the aubio library',
+    license = 'GNU/GPL version 3',
+    author = 'Paul Brossier',
+    author_email = 'piem@aubio.org',
+    maintainer = 'Paul Brossier',
+    maintainer_email = 'piem@aubio.org',
+    url = 'http://aubio.org/',
+    platforms = 'any',
+    classifiers = classifiers,
+    )
